New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix Linux upgrade process #1606

Closed
tzarebczan opened this Issue Jun 15, 2018 · 1 comment

Comments

Projects
None yet
2 participants
@tzarebczan
Member

tzarebczan commented Jun 15, 2018

The Issue

Since we started building the LBRY app for 32 and 64 bit, the extension on the file downloaded by the linux upgrade process is different:
What the LBRY app tries to open: /tmp/ar1h20/LBRY_0.21.6_amd64.deb
The file downloaded is LBRY_0.21.6.deb

Instead of launching the deb automatically which never installs correctly because the Ubuntu software center is awful, we should give the user a button which opens the temp folder to the deb file, so they can run it themselves if it works, or run dpkg -i in terminal to install. Give this hint on the upgrade screen too.

System Configuration

  • LBRY Daemon version:
  • LBRY App version:
  • LBRY Installation ID:
  • Operating system:

Anything Else

Screenshots

@tzarebczan tzarebczan changed the title from Fix Linux upgrade procecss to Fix Linux upgrade process Jun 18, 2018

@tzarebczan

This comment has been minimized.

Show comment
Hide comment
@tzarebczan

tzarebczan Jun 19, 2018

Member

Fixed: #1641

Member

tzarebczan commented Jun 19, 2018

Fixed: #1641

@tzarebczan tzarebczan closed this Jun 19, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment